Build Windows Docker Image
- GET
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Returns details of a single Build Windows Docker Image action
Request
REQUIRED SCOPES
PIPELINE_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
action_idrequiredinteger
The ID of the actionExample: 456
Response
RESPONSE BODY
typestring
The type of the actionValue: NATIVE_BUILD_WINDOWS_DOCKER
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a loopworking_directorystring
The directory in which the pipeline filesystem will be mountedexecute_every_commandboolean
If set to true all commands will be executed regardless of the result of the previous commandcommandsstring[]
The commands to execute in the native build environmentdeployment_excludesstring[]
The list of files or directories to exclude from deploymentvm_from_prev_actionboolean
If set to true, the VM from the previous action will be usedvm_action_idinteger
The ID of the action from which the VM will be usedvm_action_namestring
The name of the action from which the VM will be usedinstance_typestring enum
The type of instance to use for the native buildAllowed enum:
GENERAL_MEDIUM,GENERAL_LARGE,GENERAL_XLARGE,GENERAL_2XLARGE,COMPUTE_MEDIUM,COMPUTE_LARGE,COMPUTE_XLARGE,COMPUTE_2XLARGE,ARM_GENERAL_MEDIUM,ARM_GENERAL_LARGE,ARM_GENERAL_XLARGE,ARM_GENERAL_2XLARGE,ARM_COMPUTE_MEDIUM,ARM_COMPUTE_LARGE,ARM_COMPUTE_XLARGE,ARM_COMPUTE_2XLARGEdistributionstring enum
The AWS distribution typeAllowed enum:
UBUNTU_20_04,AMI,WINDOWS_SERVER_2025,PREVIOUS_ACTIONamiAmiView
Set if distribution is set to AMI.dockerfile_pathstring
The path to the Dockerfilecontext_pathstring
The path to the Docker build contextbuild_argsstring[]
The list of build arguments to pass to the Docker buildtarget_stagestring
The target stage of the Dockerfilepullboolean
If set to false, the image will not be pulled before buildingdocker_registrystring enum
The type of registry from which the image is retrievedAllowed enum:
NONE,DOCKER_HUB,AMAZON_ECR,GOOGLE_GCR,GOOGLE_ARTIFACT_REGISTRY,OTHER,GIT_HUB_CONTAINER_REGISTRY,ARTIFACT_REGISTRY,DIGITAL_OCEAN_CONTAINER_REGISTRYrepositorystring
The name of the Docker repository. Setting it makes the action push the built image to that repository, which requires an integration (or a login and password) for the target registry. Leave it out to build the image without pushing and push it from a separate DOCKER_PUSH actionartifact_identifierstring
The identifier of the artifact from artifact registryversionsstring[]
The list of image versions to build or pushdocker_image_tagstring
The tag of the Docker imageregistrystring
The URL of the Docker registryinsecure_registryboolean
If set to true, the registry will be accessed over HTTP instead of HTTPSloginstring
The username for the Docker registrypasswordstring
The password for the Docker registryregionstring
The region for the Docker registry (for AWS ECR)integrationIntegrationIdentifierView
The integration used by the actionLast modified on Oct 6, 2026
Request example
CURLcurl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS200 OK